#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
api_platform:
  resource_class_directories:
    - '%kernel.project_dir%/var/run/classes/XC/Zapier/Model'
    - '%kernel.project_dir%/var/run/classes/XC/Zapier/Controller/API'
services:
  _defaults:
    autowire: true
    autoconfigure: true
  zapier.order.output_transformer:
    alias: XLite\API\Endpoint\Order\Transformer\OutputTransformer
    public: true
  zapier.profile.output_transformer:
    alias: XLite\API\Endpoint\Profile\Transformer\OutputTransformer
    public: true
  zapier.product.output_transformer:
    alias: XLite\API\Endpoint\Product\Transformer\OutputTransformer
    public: true
  XC\Zapier\Core\ApiDataProvider:
    arguments:
      $normalizer: '@api_platform.serializer'
      $metadataCollectionFactory: '@api_platform.metadata.resource.metadata_collection_factory.retro_compatible'
    public: true
  XC\Zapier\API\Endpoint\HookSubscriber\Transformer\OutputTransformerInterface: '@XC\Zapier\API\Endpoint\HookSubscriber\Transformer\OutputTransformer'
  XC\Zapier\API\Endpoint\HookSubscriber\Transformer\OutputTransformer: null
  XC\Zapier\API\Endpoint\HookSubscriber\Transformer\InputTransformerInterface: '@XC\Zapier\API\Endpoint\HookSubscriber\Transformer\InputTransformer'
  XC\Zapier\API\Endpoint\HookSubscriber\Transformer\InputTransformer: null
  XC\Zapier\Controller\API\Product\InputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Product\InputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Product\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Product\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Coupon\InputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Coupon\InputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Coupon\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Coupon\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Customer\InputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Customer\InputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Customer\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Customer\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Profile\InputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Profile\InputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Profile\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Profile\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Order\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Order\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Cart\OutputFields:
    arguments:
      $fields: '@XC\Zapier\Model\DTO\API\Cart\OutputFields'
    tags:
      - controller.service_arguments
  XC\Zapier\Controller\API\Test\TestRequest: null
  XC\Zapier\Model\DTO\API\Product\InputFields:
    arguments:
      $className: XLite\Model\Product
  XC\Zapier\Model\DTO\API\Product\OutputFields:
    arguments:
      $className: XLite\Model\Product
  XC\Zapier\Model\DTO\API\Coupon\InputFields:
    arguments:
      $className: CDev\Coupons\Model\Coupon
  XC\Zapier\Model\DTO\API\Coupon\OutputFields:
    arguments:
      $className: CDev\Coupons\Model\Coupon
  XC\Zapier\Model\DTO\API\Customer\InputFields:
    arguments:
      $className: XLite\Model\Profile
  XC\Zapier\Model\DTO\API\Customer\OutputFields:
    arguments:
      $className: XLite\Model\Profile
  XC\Zapier\Model\DTO\API\Profile\InputFields:
    arguments:
      $className: XLite\Model\Profile
  XC\Zapier\Model\DTO\API\Profile\OutputFields:
    arguments:
      $className: XLite\Model\Profile
  XC\Zapier\Model\DTO\API\Order\OutputFields:
    arguments:
      $className: XLite\Model\Order
  XC\Zapier\Model\DTO\API\Cart\OutputFields:
    arguments:
      $className: XLite\Model\Cart
  XC\Zapier\Core\FieldMetaResolver: null
  XC\Zapier\XCart\Security\Http\Authenticator\TokenRepository\RestApiTokenRepositoryDecorator:
    decorates: XCart\Security\Http\Authenticator\TokenRepository\RestApiTokenRepository
    arguments:
      $configRepository: '@xcart.repository.config'
